| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSequenceCondition Struct Reference

A sequence condition. More...

`#include <ivaria/sequence.h>`

Inheritance diagram for iSequenceCondition:

[legend]
List of all members.

## Public Member Functions
virtual bool | Condition (csTicks dt, iBase *params)=0
| Do the condition.

## Detailed Description

A sequence condition.

This is also a callback to the application. This condition returns true on success.

Main creators of instances implementing this interface:

- Application using the sequence manager.

Main users of this interface:

- iSequence

Definition at line 71 of file sequence.h.

## Member Function Documentation

virtual bool iSequenceCondition::Condition | ( | csTicks | dt,
|  | iBase * | params |
| ) |  |  | `[pure virtual]`

Do the condition.

The dt parameter is the difference between the time the sequence manager is at now and the time this condition was supposed to be called. If this is 0 then the condition is called at the right time. If this is 1000 (for example) then the condition was called one second late. This latency can happen because the sequence manager only kicks in every frame and frame rate can be low.

The documentation for this struct was generated from the following file:

- ivaria/sequence.h